Package twisted :: Package xish :: Module xpath

[frames | no frames]

## Module twisted.xish.xpath

Classes
`_AnyLocation` |
`_juserhost_Function` |
`_Location` |
`_not_Function` |
`_text_Function` |
`AttribValue` |
`CompareValue` |
`IndexValue` |
`LiteralValue` |
`XPathQuery` |

Function Summary
| ``_isStr`(s)` Internal method to determine if an object is a string
| ``Function`(fname)` Internal method which selects the function object
| `intern(queryString)`
| `matches(xpathstr, elem)`
| `queryForNodes(xpathstr, elem)`
| `queryForString(xpathstr, elem)`
| `queryForStringList(xpathstr, elem)`

Variable Summary
`dict` | `__internedQueries` = `{'/iq/query/digest': <twisted.xish.x...`

Function Details

### _isStr(s)

Internal method to determine if an object is a string

### Function(fname)

Internal method which selects the function object

Variable Details

### __internedQueries

  Type:
    `dict`
  Value:

        {'/iq/query/digest': <twisted.xish.xpath.XPathQuery instance at 0x8c82\
        754>,
         '/iq/query/password': <twisted.xish.xpath.XPathQuery instance at 0x87\
        7cb4c>}

Generated by Epydoc 2.0 on Sat May 15 20:08:15 2004 | http://epydoc.sf.net